Bug 1003431 - xendomains fails to autostart virtual machines when started through systemd or systemctl
xendomains fails to autostart virtual machines when started through systemd o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
18
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 22:36 EDT by Robby
Modified: 2014-02-05 17:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:20:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 959804 None None None Never

  None (edit)
Description Robby 2013-09-01 22:36:32 EDT
Description of problem:
The xendomains service fails to start up guests when started through systemd or systemctl, manually running '/usr/libexec/xendomains start' works fine.

I marked this one as high severity because this is a problem when working remotely. The setup on this particular host is that one of the VMs is actually the gateway for the host, thus no way to reach it remotely until the VM is up, or someone physically present and on the same network logs in to the host and starts up everything manually. This complicates simple tasks like rebooting the host for kernel updates.


Version-Release number of selected component (if applicable):
4.2.2-10


How reproducible:
Always


Steps to reproduce:
1. Put xen guest config files into directory /etc/xen/auto
2. Reboot xen host machine (or: systemctl start xendomains.service)


Actual results:
This is displayed in /var/log/messages:
systemd[1]: Starting Xendomains - start and stop guests on boot and shutdown...
xendomains[1326]: Starting auto Xen domains: xl-vserver01-lvm-run.pvmcannot open the lockfile /var/lock/xl errno=13
xendomains[1326]: xl-vserver02-lvm-run.pvmcannot open the lockfile /var/lock/xl errno=13
xendomains[1326]: [done]
systemd[1]: Started Xendomains - start and stop guests on boot and shutdown.

And it does not start the guests.


Expected results:
It should just work and automatically start the guests inside the /etc/xen/auto directory.


Additional info:
This is somewhat a follow up to bug #959804, but I created a semodule in the hope it would fix the problem until #959804 will get fixed someday, but it turns out this is a seperate bug, since now SELinux (because of the module I created) isn't denying anything anymore.
Comment 1 Michael Young 2013-09-04 17:29:35 EDT
I think your problem is still selinux, as I have successfully booted a saved xen guest vm on boot with selinux in permissive mode.
Comment 2 Michael Young 2013-09-04 17:34:33 EDT
(In reply to Michael Young from comment #1)
> I think your problem is still selinux, as I have successfully booted a saved
> xen guest vm on boot with selinux in permissive mode.

Actually, this may not be valid, as I have just remembered that the system I was testing on has a non-standard version of xen installed.
Comment 3 Michael Young 2013-09-10 16:03:10 EDT
I have now retested with an official xen build xen-4.2.3-1.fc18 (which should be in updates-testing soon), and the results are the same; a saved xen guest vm boots successfully with selinux in permissive mode, so I still think your problems are with selinux.
Comment 4 Michael Young 2013-09-11 15:35:28 EDT
Incidentally, when working out what selinux is blocking make sure you run
semanage dontaudit off
first before your test run as issues may not show up as they aren't recorded by default. Run
semanage dontaudit on
to get back to the standard state.
Comment 5 Fedora End Of Life 2013-12-21 09:32:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:20:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.